Subject: Re: [Speermint] Meeting minutes from IETF 73 Speermint session (Arch Draft Review)

From: "Livingood, Jason" <[email-masked]>
Date: Wed, 04 Mar 2009 12:34:47 -0500

>> 7. Section 5.1.2.3 SIP Redirect Server
>> I am not at all certain this section adds value.  I would delete it.
> 
> I think the reason why this is in here is that a SIP Redirect is a very
> viable alternative to ENUM.  One of the challenges this and several
> Speermint documents face is placing too much emphasis on the use of ENUM
> in peering.  While I believe this is a very efficient way for SSPs to
> peer, not all SSPs are ready or plan to utilize ENUM.  What is a better
> recommendation for documenting a very valid approach to peering simply
> by using the constructs in SIP?
> 
> [jmce] Fair enough - I'm happy to leave it.  My hesitation was that the
> trick is how you set up the magic database that the SIP Redirect Server
> uses to find the route.  But I guess you could say exactly the same
> about the magic used to populate ENUM.  So I'm fine with it as is.

In my experience, the SIP Redirect Server is often doing the lookup to an
ENUM database anyway...  But, importantly, not all VoIP servers (using
"servers" very generally) have an ENUM client.  Thus, the only way to really
peer effectively is to send the call to the SIP Redirect Server, which can
then consult either ENUM and/or some table of records to make a decision on
how to route the session.

Jason